package com.zd.exam.service;

import com.zd.exam.domain.ElExamQuAnswer;

import java.util.List;

/**
 * 考试考题题备选答案Service接口
 *
 * @author liubo
 * @date 2021-12-13
 */
public interface IElExamQuAnswerService {
    /**
     * 查询考试考题题备选答案
     *
     * @param id 考试考题题备选答案主键
     * @return 考试考题题备选答案
     */
    public ElExamQuAnswer selectElExamQuAnswerById(Long id);

    /**
     * 查询考试考题题备选答案列表
     *
     * @param elExamQuAnswer 考试考题题备选答案
     * @return 考试考题题备选答案集合
     */
    public List<ElExamQuAnswer> selectElExamQuAnswerList(ElExamQuAnswer elExamQuAnswer);

    /**
     * 新增考试考题题备选答案
     *
     * @param elExamQuAnswer 考试考题题备选答案
     * @return 结果
     */
    public int insertElExamQuAnswer(ElExamQuAnswer elExamQuAnswer);

    /**
     * 修改考试考题题备选答案
     *
     * @param elExamQuAnswer 考试考题题备选答案
     * @return 结果
     */
    public int updateElExamQuAnswer(ElExamQuAnswer elExamQuAnswer);

    /**
     * 批量删除考试考题题备选答案
     *
     * @param ids 需要删除的考试考题题备选答案主键集合
     * @return 结果
     */
    public int deleteElExamQuAnswerByIds(Long[] ids);

    /**
     * 删除考试考题题备选答案信息
     *
     * @param id 考试考题题备选答案主键
     * @return 结果
     */
    public int deleteElExamQuAnswerById(Long id);
}
